import { View } from '@tarojs/components';
import React, { useEffect, useState } from 'react';
import cx from 'classnames';
const HuiCard = (props) => {
    const { style, className, title, subtitle, logo, logoStyle = { width: 36, height: 36, borderRadius: 4 }, assistTip, content, actions, onAssistTipClick, } = props;
    const [isHorizontal, setIsHorizontal] = useState(false);
    useEffect(() => {
        /** 当索引图大小超过 48px 时，顶部区域 Header 和 内容区域 Body 为水平展示 */
        if ((logoStyle === null || logoStyle === void 0 ? void 0 : logoStyle.width) && logoStyle.width > 48) {
            setIsHorizontal(true);
        }
    }, [logoStyle]);
    return (React.createElement(View, { className: cx('hui-card', className), style: style },
        React.createElement(View, { className: 'hui-card-header' },
            logo && (React.createElement(View, { className: 'hui-card-logo', style: logoStyle }, logo)),
            React.createElement(View, { className: cx('hui-card-header-right', {
                    'hui-card-header-right-top-aligned': logo && title && subtitle,
                }) },
                React.createElement(View, { className: 'hui-card-header-right-top' },
                    React.createElement(View, { className: 'hui-card-title' }, title),
                    assistTip && (React.createElement(View, { className: 'hui-card-assist-tip', onClick: () => onAssistTipClick && onAssistTipClick() }, assistTip))),
                subtitle && React.createElement(View, { className: 'hui-card-subtitle' }, subtitle),
                isHorizontal && content && (React.createElement(View, { className: 'hui-card-body' }, content)))),
        !isHorizontal && content && (React.createElement(View, { className: cx('hui-card-body', {
                'hui-card-body-only-title': title && !subtitle && !logo,
            }) }, content)),
        actions && React.createElement(View, { className: 'hui-card-footer' }, actions)));
};
export default HuiCard;
//# sourceMappingURL=Card.js.map