import React from 'react';
import { View } from '@tarojs/components';
import Taro from '@tarojs/taro';
import HuiImage from '../../Image/Image';
const HuiContentListItem = (props) => {
    const { label = '', value = '', type = 'horizontal', longLabel = false, imgStyle = {}, className = '', style = {}, } = props;
    const handlePreViewImg = (urls, url) => {
        Taro.previewImage({
            current: url,
            urls,
        });
    };
    const renderValue = (v) => {
        if (Array.isArray(v)) {
            return v.map((item) => (React.createElement(HuiImage, Object.assign({ key: item, className: 'list-item-img', src: item, onClick: () => handlePreViewImg(v, item) }, imgStyle))));
        }
        return v;
    };
    return (React.createElement(View, { className: `hui-content-list-item-${type} ${className}`, style: style },
        React.createElement(View, { className: `item-label${longLabel ? '-long' : ''}` }, label),
        React.createElement(View, { className: `item-value${longLabel ? '-long' : ''}  ${Array.isArray(value) ? `img-content-${type}` : '-'}` }, renderValue(value))));
};
export default HuiContentListItem;
//# sourceMappingURL=index.js.map