var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import { View } from '@tarojs/components';
import Taro, { usePageScroll } from '@tarojs/taro';
import cx from 'classnames';
import React, { useEffect, useMemo, useRef, useState, } from 'react';
import { useBoundingClientRect } from '../../utils/hooks';
import HuiIcon from '../Icon';
import FiltersContent from './FiltersContent';
import Menu from './Menu/Menu';
import FilterContext from './context';
import HuiSticky from '../Sticky/Sticky';
import { generateUniqueId } from './utils';
const defaultProps = {
    className: '',
    style: {},
    type: 'menu',
    filterType: 'single',
};
const HuiFilter = (props) => {
    const _a = Object.assign(Object.assign({}, defaultProps), props), { className = '', menuConfig, children, filtersContentConfig, fixed = false, sticky = false } = _a, rest = __rest(_a, ["className", "menuConfig", "children", "filtersContentConfig", "fixed", "sticky"]);
    const [isFixed, setIsFixed] = useState(false);
    const [visible, setVisible] = useState(false);
    const [filterTop, setFilterTop] = useState(0);
    const filterRef = useRef();
    const menuRef = useRef();
    const contextValue = useMemo(() => ({
        isFixed,
        filterTop,
        hideFilter: () => setVisible(false),
        hideMenu: () => {
            menuRef.current && menuRef.current.hide();
        },
    }), [menuRef, filterTop]);
    const info = useBoundingClientRect(filterRef);
    usePageScroll((res) => {
        getCurrentRef();
        if (!info || !res)
            return;
        if (res.scrollTop >= info.top) {
            setIsFixed(true);
        }
        else {
            setIsFixed(false);
        }
    });
    const { isMenu, menuProps, menuItems } = useMemo(() => {
        const _a = menuConfig || {}, { menuItems: menuItemProps } = _a, restProps = __rest(_a, ["menuItems"]);
        return {
            isMenu: !!menuConfig,
            menuItems: menuItemProps,
            menuProps: restProps,
        };
    }, [menuConfig]);
    const filterProps = useMemo(() => (Object.assign(Object.assign({}, (filtersContentConfig || {})), { parent: {
            filterRef,
            filterTop,
            isFixed: fixed,
        }, visible, onClose: () => setVisible(false) })), [filtersContentConfig, fixed, visible, filterTop]);
    const handleFilter = () => {
        contextValue.hideMenu();
        setVisible(!visible);
    };
    useEffect(() => getCurrentRef(), []);
    const getCurrentRef = () => {
        Taro.nextTick(() => {
            var _a, _b, _c, _d;
            if (filterRef.current) {
                const query = Taro.createSelectorQuery();
                if (!((_a = filterRef === null || filterRef === void 0 ? void 0 : filterRef.current) === null || _a === void 0 ? void 0 : _a.className)) {
                    throw new Error('createSelectorQuery 传入的Taro.TaroElement对象需要有className');
                }
                const refClassName = (_c = (_b = filterRef.current) === null || _b === void 0 ? void 0 : _b.className) === null || _c === void 0 ? void 0 : _c.replace(/ /g, '.');
                // eslint-disable-next-line no-unused-expressions
                (_d = query
                    .select(`.${refClassName}`)) === null || _d === void 0 ? void 0 : _d.boundingClientRect((rect) => {
                    if (rect) {
                        const { height, top } = rect;
                        setFilterTop(height + top);
                    }
                }).exec();
            }
        });
    };
    const render = () => (React.createElement(View, Object.assign({}, rest, { ref: filterRef, className: cx('hui-filter', className, generateUniqueId()) }),
        React.createElement(FilterContext.Provider, { value: contextValue },
            isMenu ? (React.createElement(Menu, Object.assign({}, menuProps, { className: 'hui-filter-left-content', ref: menuRef }), menuItems === null || menuItems === void 0 ? void 0 : menuItems.map((item, index) => (React.createElement(Menu.Item, Object.assign({}, item, { key: index })))))) : (React.createElement(View, { className: 'hui-filter-left-content custom' }, children)),
            filtersContentConfig && (React.createElement(View, { className: 'hui-filter-right-content' },
                React.createElement(View, { className: 'hui-filter-right-content-icon', onClick: handleFilter },
                    React.createElement(HuiIcon, { name: 'h109-filter', size: 14 }),
                    React.createElement(View, null, "\u7B5B\u9009")),
                React.createElement(FiltersContent, Object.assign({}, filterProps)))))));
    return sticky ? React.createElement(HuiSticky, null, render()) : render();
};
export default HuiFilter;
//# sourceMappingURL=Filter.js.map