var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import { View } from '@tarojs/components';
import cx from 'classnames';
import React, { useMemo } from 'react';
import HuiPopup from '../../Popup';
import ActionFooter from '../ActionFooter/ActionFooter';
const prefix = 'filters-content';
const FiltersContent = (props) => {
    const _a = props, { contentClassName = '', contentStyle = {}, position = 'right', popupContentClassName, filterContent, onClose, visible, parent } = _a, rest = __rest(_a, ["contentClassName", "contentStyle", "position", "popupContentClassName", "filterContent", "onClose", "visible", "parent"]);
    const positionStyle = useMemo(() => {
        if (position === 'top' && parent) {
            return {
                top: parent.filterTop,
            };
        }
        return {};
    }, [parent, position, visible]);
    const actionButtonProps = {
        confirmButtonProps: props.confirmButtonProps,
        clearButtonProps: props.clearButtonProps,
        confirmText: props.confirmText,
        clearText: props.clearText,
        onConfirm: props.onConfirm,
        onClear: props.onClear,
        hideMenu: onClose,
    };
    return (React.createElement(HuiPopup, Object.assign({ className: cx('hui-filter-animation', {
            'no-animation': position === 'top' && !visible,
        }), visible: visible, position: position, contentClassName: cx({
            popupContentClassName,
        }), contentStyle: positionStyle, maskStyle: positionStyle, onClose: () => {
            if (onClose) {
                onClose();
            }
        } }, rest),
        React.createElement(View, { className: cx(`filters-default-popup-content ${prefix}-content ${position} ${contentClassName}`), style: contentStyle }, filterContent),
        React.createElement(ActionFooter, Object.assign({}, actionButtonProps))));
};
export default FiltersContent;
//# sourceMappingURL=FiltersContent.js.map