import { useMemo, useRef } from 'react';
import FormStore from '../FormStore';
const useForm = (form) => {
    const formRef = useRef();
    const formInstance = useMemo(() => {
        if (!formRef.current) {
            if (form)
                formRef.current = form;
            else {
                const formStore = new FormStore();
                formRef.current = formStore.getForm();
            }
        }
        return [formRef.current];
    }, [form]);
    return formInstance;
};
export default useForm;
//# sourceMappingURL=useForm.js.map