import { View, Text } from '@tarojs/components';
import React, { Children, useCallback, useMemo } from 'react';
const defaultHighLightTextColor = '#1577FC';
const HighlightText = ({ className, children, keyword, keywordStyle, }) => {
    const highLightText = useCallback((text) => {
        const reg = new RegExp(keyword, 'g');
        const keywordSplitText = text.split(reg);
        const matchText = text.match(reg);
        return keywordSplitText.map((item, index) => (React.createElement(React.Fragment, { key: index },
            item,
            index !== keywordSplitText.length - 1 && (React.createElement(Text, { style: keywordStyle !== null && keywordStyle !== void 0 ? keywordStyle : { color: defaultHighLightTextColor } }, matchText === null || matchText === void 0 ? void 0 : matchText[index])))));
    }, [keyword, keywordStyle]);
    const highlightTextNode = useMemo(() => {
        function HightLightStyleToKeyword(reactNode) {
            return Children.map(reactNode, (item) => {
                var _a;
                // eslint-disable-next-line @typescript-eslint/no-shadow
                const { children } = (_a = item === null || item === void 0 ? void 0 : item.props) !== null && _a !== void 0 ? _a : {};
                if (typeof item === 'string') {
                    item = highLightText(item);
                }
                if (children && typeof children === 'string') {
                    item.props.children = highLightText(children);
                }
                if (children && Array.isArray(children)) {
                    item.props.children = children.map((node) => HightLightStyleToKeyword(node));
                }
                return item;
            });
        }
        return HightLightStyleToKeyword(children);
    }, [children, highLightText]);
    return React.createElement(View, { className: `${className !== null && className !== void 0 ? className : ''}` }, highlightTextNode);
};
export default HighlightText;
//# sourceMappingURL=HighlightText.js.map