import { View } from '@tarojs/components';
import React, { useState, createRef, useEffect, useMemo } from 'react';
import isEqual from 'lodash/isEqual';
import clone from 'lodash/clone';
import Checkbox from '../../Checkbox';
import Radio from '../../Radio';
import List from '../../List';
const RadioGroup = Radio.Group;
const ListItem = List.Item;
const CheckboxGroup = Checkbox.Group;
const Menu = (props) => {
    const { checkAll = false, options, value, color, multiSelect = false, onChange, record, menuCustomBottom, } = props;
    const allValues = useMemo(() => options.map((item) => item.value), [options]);
    const isAllChecked = useMemo(() => {
        const originalValue = clone(allValues).sort();
        const targetValue = clone(value).sort();
        return isEqual(originalValue, targetValue);
    }, [allValues, value]);
    const handleChange = (v) => {
        if (!onChange) {
            return;
        }
        const res = [];
        options.forEach((item) => {
            if (v.includes(item.value)) {
                res.push(item.value);
            }
        });
        onChange(res);
    };
    const [refList, setRefList] = useState([]);
    useEffect(() => {
        setRefList((refs) => Array(options.length)
            .fill(0)
            .map((_, i) => refs[i] || createRef()));
    }, [options.length]);
    return (React.createElement(View, { className: 'hui-select-menu' },
        multiSelect ? (React.createElement(CheckboxGroup, { value: value, onChange: (checkedList) => handleChange(Array.from(new Set(checkedList))) },
            checkAll && options.length > 1 && (React.createElement(ListItem, { title: '\u5168\u90E8', icon: React.createElement(Checkbox, { color: color, value: 1, checked: isAllChecked }), onClick: () => isAllChecked ? onChange === null || onChange === void 0 ? void 0 : onChange([]) : onChange === null || onChange === void 0 ? void 0 : onChange([...allValues]) })),
            options.map((item, index) => (React.createElement(ListItem, { key: item.value, title: record ? record(item, index) : item.label, icon: React.createElement(Checkbox, { ref: refList[index], color: color, key: item.value, value: item.value, checked: value.includes(item.value) }), onClick: () => { var _a, _b; return (_b = (_a = refList[index]) === null || _a === void 0 ? void 0 : _a.current) === null || _b === void 0 ? void 0 : _b.toggle(); } }))))) : (React.createElement(RadioGroup, null, options.map((item, index) => (React.createElement(ListItem, { key: item.value, title: record ? record(item, index) : item.label, icon: React.createElement(Radio, { color: color, key: item.value, value: item.value, checked: value.includes(item.value) }), onClick: () => handleChange([item.value]) }))))),
        menuCustomBottom));
};
export default Menu;
//# sourceMappingURL=Menu.js.map