import { View } from '@tarojs/components';
import React, { useCallback, useEffect, useMemo, useState } from 'react';
import { countCommonStrings } from '../../utils/common';
import HuiButton from '../Button/Button';
import Modal from '../Modal';
import SelectBody from './SelectBody/SelectBody';
const Select = (props) => {
    const { record, customBottom, visible, title, value, options = [], color, contentHeight, loading = false, level = 2, multiSelect = false, checkAll = false, showBadge = false, confirmText = '确定', style, className = '', onClose, onChange, onConfirm, onChangeSideMenu, } = props;
    const defaultValue = useMemo(() => (level === 2 ? options.map(() => []) : []), [level, options]);
    const [optionValue, setOptionValue] = useState(value || defaultValue);
    useEffect(() => {
        var _a;
        if (!value) {
            return;
        }
        if (level === 2) {
            const res = ((_a = value) !== null && _a !== void 0 ? _a : []).map((item, index) => {
                var _a, _b, _c;
                return countCommonStrings(item, ((_a = options === null || options === void 0 ? void 0 : options[index]) === null || _a === void 0 ? void 0 : _a.children) ? ((_c = (_b = options === null || options === void 0 ? void 0 : options[index]) === null || _b === void 0 ? void 0 : _b.children) !== null && _c !== void 0 ? _c : []).map((itemChild) => itemChild.value)
                    : []);
            });
            setOptionValue(res);
        }
        if (level === 1) {
            const res = countCommonStrings(value, options.map((item) => item.value));
            setOptionValue(res);
        }
    }, [level, options, value]);
    const handleChange = useCallback((e) => {
        setOptionValue(e);
        onChange === null || onChange === void 0 ? void 0 : onChange(e);
    }, [onChange, setOptionValue]);
    return (React.createElement(Modal, { visible: visible, title: title, className: className, style: style, onClose: onClose },
        React.createElement(View, { className: 'hui-select' },
            React.createElement(SelectBody, { record: record, checkAll: checkAll, customBottom: customBottom, value: optionValue, options: options, color: color, contentHeight: contentHeight, loading: loading, level: level, multiSelect: multiSelect, showBadge: showBadge, onChange: handleChange, onChangeSideMenu: onChangeSideMenu }),
            React.createElement(View, { className: 'hui-select-footer' },
                React.createElement(HuiButton, { block: true, size: 'large', color: color, disabled: optionValue.length === 0, onClick: () => onConfirm && onConfirm(optionValue) }, confirmText)))));
};
export default Select;
//# sourceMappingURL=Select.js.map