import { View } from '@tarojs/components';
import React, { useCallback, useEffect, useState } from 'react';
import cx from 'classnames';
import { pxTransform } from '../../../utils';
import { countCommonStrings } from '../../../utils/common';
import Badge from '../../Badge';
import Loader from '../../Loader';
import Menu from '../Menu/Menu';
import SideMenu from '../SideMenu/SideMenu';
import './SelectBody.scss';
const SideMenuItem = SideMenu.Item;
const SelectBody = (props) => {
    var _a, _b, _c;
    const { checkAll = false, className, record, customBottom, value, options = [], color, contentHeight, loading = false, level = 2, multiSelect = false, showBadge = false, onChange, onChangeSideMenu, } = props;
    const [activeMenu, setActiveMenu] = useState(0);
    useEffect(() => {
        var _a;
        if (level === 1) {
            return;
        }
        const initActiveMenu = (_a = value === null || value === void 0 ? void 0 : value.findIndex((item) => item.length)) !== null && _a !== void 0 ? _a : 0;
        const defaultActiveMenu = initActiveMenu === -1 ? 0 : initActiveMenu;
        setActiveMenu(defaultActiveMenu !== null && defaultActiveMenu !== void 0 ? defaultActiveMenu : 0);
    }, []);
    const handleChangeSideMenu = (v) => {
        if (v !== activeMenu) {
            setActiveMenu(v);
            onChangeSideMenu && onChangeSideMenu(v);
        }
    };
    const handleChangeOption = (v) => {
        var _a;
        if (level === 1) {
            onChange && onChange(v);
        }
        if (level === 2) {
            const newValue = ((_a = value) !== null && _a !== void 0 ? _a : []).map((item, index) => activeMenu === index ? v : item);
            onChange && onChange(newValue);
        }
    };
    const menuOptions = level === 2 ? ((_a = options === null || options === void 0 ? void 0 : options[activeMenu]) === null || _a === void 0 ? void 0 : _a.children) || [] : options;
    const menuRecord = level === 2 ? ((_b = options === null || options === void 0 ? void 0 : options[activeMenu]) === null || _b === void 0 ? void 0 : _b.record) || undefined : record;
    const menuCustomBottom = level === 2
        ? ((_c = options === null || options === void 0 ? void 0 : options[activeMenu]) === null || _c === void 0 ? void 0 : _c.customBottom) || undefined
        : customBottom;
    const menuValue = level === 2 ? (value === null || value === void 0 ? void 0 : value[activeMenu]) || [] : value;
    const getBadgeNumber = useCallback((index, item) => {
        var _a, _b;
        const res = countCommonStrings((_a = value) === null || _a === void 0 ? void 0 : _a[index], ((_b = item.children) !== null && _b !== void 0 ? _b : []).map((itemChild) => itemChild.value));
        return res.length || '';
    }, [value]);
    return (React.createElement(View, { className: cx(className, 'hui-select-body'), style: {
            height: (contentHeight && pxTransform(contentHeight)) || 'unset',
        } },
        level === 2 && (React.createElement(SideMenu, { indicatorColor: color, active: activeMenu, onChange: (v) => handleChangeSideMenu(v) },
            options.map((item, index) => (React.createElement(SideMenuItem, { key: item.value, value: index }, showBadge && multiSelect ? (React.createElement(Badge, { value: getBadgeNumber(index, item) }, record ? record(item, index) : item.label)) : record ? (record(item, index)) : (item.label)))),
            customBottom)),
        React.createElement(Loader, { loading: loading, type: 'module', style: { height: 'unset' } },
            React.createElement(Menu, { checkAll: checkAll, menuCustomBottom: menuCustomBottom, color: color, multiSelect: multiSelect, options: menuOptions, value: menuValue, onChange: handleChangeOption, record: menuRecord }))));
};
export default SelectBody;
//# sourceMappingURL=SelectBody.js.map