import React, { useState } from 'react';
import { View } from '@tarojs/components';
import cx from 'classnames';
const HuiSwiperIndicator = (props) => {
    var _a;
    const { activeColor, style, children, className = '' } = props;
    const [current, setCurrent] = useState(0);
    const originOnChange = children.props.onChange;
    children.props.onChange = (e) => {
        setCurrent(e.detail.current);
        originOnChange && originOnChange(e);
    };
    const swiperItemCount = (_a = children.props.children) === null || _a === void 0 ? void 0 : _a.length;
    return (React.createElement(View, { className: `hui-swiper-indicator ${className}` },
        children,
        React.createElement(View, { className: 'hui-swiper-indicator-wrapper', style: style }, Array.from(Array(swiperItemCount), (_, index) => (React.createElement(View, { key: index, className: cx('hui-swiper-indicator-item', {
                active: current === index,
            }), style: {
                background: current === index ? activeColor : '',
            } }))))));
};
export default HuiSwiperIndicator;
//# sourceMappingURL=SwiperIndicator.js.map