import React, { useEffect, useState } from 'react';
import cx from 'classnames';
import { View } from '@tarojs/components';
const defaultProps = {
    onChange: () => void 0,
};
const HuiSwitch = (props) => {
    const { disabled = false, color, style, checked = false, className = '', onChange = defaultProps.onChange, } = props;
    const [_checked, setChecked] = useState(checked);
    useEffect(() => {
        setChecked(Boolean(props.value));
    }, [props.value]);
    return (React.createElement(View, { className: cx(`hui-switch ${className}`, { checked: _checked, disabled }), style: Object.assign({ backgroundColor: _checked ? color : '' }, style), onClick: () => {
            if (disabled)
                return;
            onChange === null || onChange === void 0 ? void 0 : onChange(!_checked);
        } },
        React.createElement(View, { className: cx('hui-switch-dot-btn', { checked: _checked }) })));
};
HuiSwitch.defaultProps = {
    disabled: false,
    checked: false,
};
export default HuiSwitch;
//# sourceMappingURL=Switch.js.map