var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
/* eslint-disable @typescript-eslint/no-empty-function */
import React, { useMemo, useState } from 'react';
import cx from 'classnames';
import { View, Textarea, Text } from '@tarojs/components';
import HuiIcon from '../Icon';
const requiredMsg = '此为必填项';
const HuiTextArea = (props) => {
    const { label, labelIcon, required = true, value, maxLength = 140, maxlength, placeholder, disabled, focus, adjustPosition, showConfirmBar, disableDefaultPadding, onLineChange = () => { }, onInput = () => { }, onFocus = () => { }, onBlur = () => { }, onConfirm = () => { }, onKeyboardHeightChange = () => { }, upperLimit, height, style, className = '' } = props, rest = __rest(props, ["label", "labelIcon", "required", "value", "maxLength", "maxlength", "placeholder", "disabled", "focus", "adjustPosition", "showConfirmBar", "disableDefaultPadding", "onLineChange", "onInput", "onFocus", "onBlur", "onConfirm", "onKeyboardHeightChange", "upperLimit", "height", "style", "className"]);
    const valueLen = useMemo(() => (value && value.length) || 0, [value]);
    const [errorMsg, setErrorMsg] = useState(props.errorMsg);
    const labelDom = label ? (React.createElement(View, { className: 'label' },
        React.createElement(View, null, label),
        !required && React.createElement(View, { className: 'label-required' }, "(\u9009\u586B)"),
        labelIcon && (React.createElement(HuiIcon, { name: labelIcon, size: 14, className: 'label-icon', color: '#bbb' })))) : null;
    // 错误信息是否展示
    const errorMsgDom = errorMsg ? (React.createElement(View, { className: 'error-wrapper' },
        React.createElement(View, { className: 'error-msg-wrapper' }, errorMsg))) : null;
    const textareaDom = (React.createElement(Textarea, Object.assign({ disableDefaultPadding: disableDefaultPadding, showConfirmBar: showConfirmBar, adjustPosition: adjustPosition, focus: focus, placeholder: placeholder, disabled: disabled, value: value, maxlength: maxlength || maxLength, cursorSpacing: 32, placeholderClass: 'placeholder', className: 'text-area', onLineChange: onLineChange, onInput: (e) => {
            // eslint-disable-next-line
            // @ts-ignore
            if (!props.errorMsg &&
                required &&
                !e.detail.value &&
                errorMsg !== requiredMsg) {
                setErrorMsg(requiredMsg);
            }
            onInput(e);
        }, onFocus: onFocus, onBlur: onBlur, onConfirm: onConfirm, onKeyboardHeightChange: onKeyboardHeightChange }, rest)));
    return (React.createElement(View, { className: cx('hui-text-area', className, { disabled }), style: Object.assign({ height: typeof height === 'string' ? height : `${height}px` }, style) },
        React.createElement(View, { className: 'hui-text-area-label-area' }, labelDom),
        textareaDom,
        errorMsgDom || (React.createElement(View, { className: 'indicator' },
            React.createElement(Text, { className: `current-number ${upperLimit && valueLen > upperLimit
                    ? 'overage'
                    : valueLen
                        ? ''
                        : 'zero'}` }, valueLen),
            React.createElement(Text, null,
                "/",
                upperLimit || '-')))));
};
export default HuiTextArea;
//# sourceMappingURL=TextArea.js.map