import React from 'react';
import { View } from '@tarojs/components';
import cx from 'classnames';
import HuiIcon from '../Icon';
import './Title.scss';
export var TitleSize;
(function (TitleSize) {
    TitleSize["Small"] = "small";
    TitleSize["Medium"] = "medium";
    TitleSize["Large"] = "large";
})(TitleSize || (TitleSize = {}));
const prefix = 'hui-title';
const HuiTitle = (props) => {
    const { className, title, size = TitleSize.Medium, link, linkLeftIcon, linkRightIcon, onLinkClick, } = props;
    return (React.createElement(View, { className: cx(prefix, className, size) },
        React.createElement(View, { className: 'title' }, title),
        React.createElement(View, { className: 'link', onClick: onLinkClick },
            linkLeftIcon && (React.createElement(HuiIcon, { className: 'link-left-icon', name: linkLeftIcon })),
            link,
            linkRightIcon && (React.createElement(HuiIcon, { className: 'link-right-icon', name: linkRightIcon })))));
};
export default HuiTitle;
//# sourceMappingURL=Title.js.map