import React from 'react';
export interface HuiCardProps {
    /** 自定义卡片样式 */
    style?: React.CSSProperties;
    /** 自定义卡片类名 */
    className?: string;
    /** 标题 */
    title: string;
    /** 副标题 */
    subtitle?: React.ReactNode;
    /** 索引图：头像/icon/logo、图片（居左上） */
    logo?: React.ReactNode;
    /** 索引图尺寸和圆角在特殊情况支持自定义 */
    logoStyle?: React.CSSProperties;
    /** 辅助内容：文字、icon */
    assistTip?: React.ReactNode;
    /** 内容 */
    content?: React.ReactNode;
    /** 底部操作 */
    actions?: React.ReactNode;
    /** 辅助内容的点击函数 */
    onAssistTipClick?(): void;
}
declare const HuiCard: React.FC<HuiCardProps>;
export default HuiCard;
