import { FC, ReactNode } from 'react';
import { ITouchEvent } from '@tarojs/components';
import { HuiButtonProps } from '../../Button/Button';
export interface ActionFooterProps {
    /** 确认按钮文字 */
    confirmText?: ReactNode;
    /** 清空筛选项文字 */
    clearText?: ReactNode;
    /** 点击确定回调 */
    onConfirm?: (val: Record<string, any>) => void;
    /** 点击重置回调 */
    onClear?: (e: ITouchEvent) => void;
    /** 确认按钮的props */
    confirmButtonProps?: HuiButtonProps;
    /** 清空筛选项按钮的props */
    clearButtonProps?: HuiButtonProps;
    /** 点击confirm后隐藏菜单 */
    hideMenu: () => void;
}
declare const ActionFooter: FC<ActionFooterProps>;
export default ActionFooter;
