import React, { CSSProperties, ReactNode } from 'react';
import { FiltersContentProps } from './FiltersContent';
import { MenuProps } from './Menu/Menu';
import { MenuItemProps } from './MenuItem/MenuItem';
interface MenuConfig extends MenuProps {
    menuItems: MenuItemProps[];
}
export interface HuiFilterProps {
    className?: string;
    style?: CSSProperties;
    children?: ReactNode;
    /** 滚动时是否固定在顶部 */
    fixed?: boolean;
    menuConfig?: MenuConfig;
    filtersContentConfig?: Omit<FiltersContentProps, 'visible'>;
    sticky?: boolean;
}
declare const HuiFilter: React.FC<HuiFilterProps>;
export default HuiFilter;
