import React, { CSSProperties, ReactNode } from 'react';
import { ITouchEvent } from '@tarojs/components';
import MenuItem, { MenuItemOption } from '../MenuItem/MenuItem';
export interface MenuProps {
    className?: string;
    style?: CSSProperties;
    children?: ReactNode;
    /** 透传到menu组件 当筛选项变化的时候调用 */
    menuOnChange?: (option: MenuItemOption) => void;
    /** 点击menu title */
    onMenuTitleClick?: (e: ITouchEvent, index: number, maskShow: boolean) => void;
}
export interface MenuRef {
    hide: () => void;
}
declare type CompoundedComponent = React.ForwardRefExoticComponent<MenuProps & React.RefAttributes<MenuRef>> & {
    Item: typeof MenuItem;
};
declare const Menu: CompoundedComponent;
export default Menu;
