import { ITouchEvent } from '@tarojs/components';
import React, { CSSProperties, ReactNode } from 'react';
import { ActionFooterProps } from '../ActionFooter/ActionFooter';
export interface MenuItemOption {
    value: string | number;
    text: string;
}
export interface MenuItemProps extends Omit<ActionFooterProps, 'hideMenu'> {
    /** 菜单标题 */
    title?: string;
    /** 下拉列表选项 */
    options?: MenuItemOption[];
    /** 一行展示多少列 */
    columns?: number;
    /** 选中的值 */
    value?: string | number;
    /** 菜单标题右侧icon */
    icon?: React.ReactNode;
    /** 能否展开当前列表选项 */
    disabled?: boolean;
    /** option改变的回调 */
    onChange?: (option: MenuItemOption) => void;
    /** 关闭mask回调 */
    onMaskClose?: (e?: ITouchEvent) => void;
    /** 下拉框底部筛选 */
    footer?: boolean;
    className?: string;
    style?: CSSProperties;
    children?: ReactNode | ((props: {
        hideMenu: () => void;
    }) => ReactNode);
}
declare const MenuItem: React.ForwardRefExoticComponent<MenuItemProps & React.RefAttributes<unknown>>;
export default MenuItem;
