import { FieldContext, registerWatchType } from '../constants';
interface Callbacks {
    onFinish: (store: Store) => void;
    onFinishFailed: (error: string | object) => void;
    onValuesChange: (newStore: Store, oldStore: Store) => void;
    onReset: () => void;
}
declare type Store = any;
declare class FormStore {
    store: Store;
    watchList: any[];
    callbacks: Callbacks;
    pendingUnset: string[][];
    timer: number | undefined;
    constructor();
    registerWatch(field: registerWatchType): () => void;
    getFieldValue(name: string | string[]): any;
    removeFieldValue(name: string | string[]): void;
    getFieldsValue: () => any;
    setFieldValue<T>(name: string | string[], value: T): void;
    setFieldsValue(newStore: Store): void;
    resetStore: () => void;
    setCallbacks(callbacks: Callbacks): void;
    notifywatchList(name?: string | string[]): void;
    validatorFields(): Promise<void | null | string>;
    updateStore(nextStore: Store): void;
    submit(): Promise<void>;
    reset(): Promise<void>;
    getForm(): FieldContext;
}
export default FormStore;
