import React from 'react';
import { TextareaProps } from '@tarojs/components/types/Textarea';
import { HIconType } from '../Icon/type';
export interface HuiTextAreaProps extends TextareaProps {
    /** 字段名字 */
    label?: React.ReactNode;
    /** 字段名字的辅助icon */
    labelIcon?: HIconType;
    required?: boolean;
    /** 报错信息 */
    errorMsg?: React.ReactNode;
    upperLimit?: number;
    /** 最大输入长度，设置为 -1 的时候不限制最大长度，默认140 */
    maxLength?: number;
    /** 必须要设置一个高度才能用 */
    height?: string | number;
    style?: React.CSSProperties;
    className?: string;
}
declare const HuiTextArea: React.FC<HuiTextAreaProps>;
export default HuiTextArea;
